<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              http://brewpixel.com
 * @since             1.0.0
 * @package           BrewPixel_Maintenance
 *
 * @wordpress-plugin
 * Plugin Name:       BrewPixel Maintenance
 * Plugin URI:        http://brewpixel.com/plugins/brewpixel-maintenance/
 * Description:       Assist with BrewPixel maintenance plan.
 * Version:           1.0.0
 * Author:            BrewPixel, Martin Goldie
 * Author URI:        http://brewpixel.com/
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       brewpixel-maintenance
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-brewpixel-maintenance-activator.php
 */
function activate_brewpixel_maintenance() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-brewpixel-maintenance-activator.php';
	BrewPixel_Maintenance_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-brewpixel-maintenance-deactivator.php
 */
function deactivate_brewpixel_maintenance() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-brewpixel-maintenance-deactivator.php';
	BrewPixel_Maintenance_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_brewpixel_maintenance' );
register_deactivation_hook( __FILE__, 'deactivate_brewpixel_maintenance' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-brewpixel-maintenance.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_brewpixel_maintenance() {

	$plugin = new BrewPixel_Maintenance();
	$plugin->run();

}
run_brewpixel_maintenance();
